### YamlMime:ManagedReference
items:
- uid: OmiLAXR.Timeline.TextSetter
  commentId: T:OmiLAXR.Timeline.TextSetter
  id: TextSetter
  parent: OmiLAXR.Timeline
  children:
  - OmiLAXR.Timeline.TextSetter.entries
  - OmiLAXR.Timeline.TextSetter.SetText
  - OmiLAXR.Timeline.TextSetter.target
  langs:
  - csharp
  - vb
  name: TextSetter
  nameWithType: TextSetter
  fullName: OmiLAXR.Timeline.TextSetter
  type: Class
  source:
    remote:
      path: Runtime/Timeline/TextSetter.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: TextSetter
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Timeline/TextSetter.cs
    startLine: 10
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Timeline
  summary: Set text based on selected language.
  example: []
  syntax:
    content: 'public class TextSetter : MonoBehaviour'
    content.vb: Public Class TextSetter Inherits MonoBehaviour
  inheritance:
  - System.Object
  - UnityEngine.Object
  - UnityEngine.Component
  - UnityEngine.Behaviour
  - UnityEngine.MonoBehaviour
  extensionMethods:
  - UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(System.Collections.Generic.IEnumerable{UnityEngine.Object})
  - UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.Object[])
  - UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren
  - UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.Log(System.String,System.String)
  - UnityEngine.Object.OmiLAXR.Extensions.Object_Ext.Destroy
- uid: OmiLAXR.Timeline.TextSetter.entries
  commentId: F:OmiLAXR.Timeline.TextSetter.entries
  id: entries
  parent: OmiLAXR.Timeline.TextSetter
  langs:
  - csharp
  - vb
  name: entries
  nameWithType: TextSetter.entries
  fullName: OmiLAXR.Timeline.TextSetter.entries
  type: Field
  source:
    remote:
      path: Runtime/Timeline/TextSetter.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: entries
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Timeline/TextSetter.cs
    startLine: 13
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Timeline
  syntax:
    content: >-
      [SerializeField]

      public MultiLanguageEntry[] entries
    return:
      type: OmiLAXR.Timeline.MultiLanguage.MultiLanguageEntry[]
    content.vb: >-
      <SerializeField>

      Public entries As MultiLanguageEntry()
  attributes:
  - type: UnityEngine.SerializeField
    ctor: UnityEngine.SerializeField.#ctor
    arguments: []
- uid: OmiLAXR.Timeline.TextSetter.target
  commentId: F:OmiLAXR.Timeline.TextSetter.target
  id: target
  parent: OmiLAXR.Timeline.TextSetter
  langs:
  - csharp
  - vb
  name: target
  nameWithType: TextSetter.target
  fullName: OmiLAXR.Timeline.TextSetter.target
  type: Field
  source:
    remote:
      path: Runtime/Timeline/TextSetter.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: target
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Timeline/TextSetter.cs
    startLine: 14
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Timeline
  syntax:
    content: public Text target
    return:
      type: UnityEngine.UI.Text
    content.vb: Public target As Text
- uid: OmiLAXR.Timeline.TextSetter.SetText
  commentId: M:OmiLAXR.Timeline.TextSetter.SetText
  id: SetText
  parent: OmiLAXR.Timeline.TextSetter
  langs:
  - csharp
  - vb
  name: SetText()
  nameWithType: TextSetter.SetText()
  fullName: OmiLAXR.Timeline.TextSetter.SetText()
  type: Method
  source:
    remote:
      path: Runtime/Timeline/TextSetter.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: SetText
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Timeline/TextSetter.cs
    startLine: 16
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Timeline
  syntax:
    content: public void SetText()
    content.vb: Public Sub SetText()
  overload: OmiLAXR.Timeline.TextSetter.SetText*
references:
- uid: OmiLAXR.Timeline
  commentId: N:OmiLAXR.Timeline
  href: OmiLAXR.html
  name: OmiLAXR.Timeline
  nameWithType: OmiLAXR.Timeline
  fullName: OmiLAXR.Timeline
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Timeline
    name: Timeline
    href: OmiLAXR.Timeline.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Timeline
    name: Timeline
    href: OmiLAXR.Timeline.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: UnityEngine.Object
  commentId: T:UnityEngine.Object
  parent: UnityEngine
  isExternal: true
  name: Object
  nameWithType: Object
  fullName: UnityEngine.Object
- uid: UnityEngine.Component
  commentId: T:UnityEngine.Component
  parent: UnityEngine
  isExternal: true
  name: Component
  nameWithType: Component
  fullName: UnityEngine.Component
- uid: UnityEngine.Behaviour
  commentId: T:UnityEngine.Behaviour
  parent: UnityEngine
  isExternal: true
  name: Behaviour
  nameWithType: Behaviour
  fullName: UnityEngine.Behaviour
- uid: UnityEngine.MonoBehaviour
  commentId: T:UnityEngine.MonoBehaviour
  parent: UnityEngine
  isExternal: true
  name: MonoBehaviour
  nameWithType: MonoBehaviour
  fullName: UnityEngine.MonoBehaviour
- uid: UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(System.Collections.Generic.IEnumerable{UnityEngine.Object})
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  parent: OmiLAXR.Extensions.MonoBehaviour_Ext
  definition: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  name: Destroy(MonoBehaviour, IEnumerable<Object>)
  nameWithType: MonoBehaviour_Ext.Destroy(MonoBehaviour, IEnumerable<Object>)
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, System.Collections.Generic.IEnumerable<UnityEngine.Object>)
  nameWithType.vb: MonoBehaviour_Ext.Destroy(MonoBehaviour, IEnumerable(Of Object))
  fullName.vb: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, System.Collections.Generic.IEnumerable(Of UnityEngine.Object))
  name.vb: Destroy(MonoBehaviour, IEnumerable(Of Object))
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: '>'
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
  - name: )
- uid: UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.Object[])
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  parent: OmiLAXR.Extensions.MonoBehaviour_Ext
  definition: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  name: Destroy(MonoBehaviour, Object[])
  nameWithType: MonoBehaviour_Ext.Destroy(MonoBehaviour, Object[])
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, UnityEngine.Object[])
  nameWithType.vb: MonoBehaviour_Ext.Destroy(MonoBehaviour, Object())
  fullName.vb: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, UnityEngine.Object())
  name.vb: Destroy(MonoBehaviour, Object())
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: '['
  - name: ']'
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: (
  - name: )
  - name: )
- uid: UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  parent: OmiLAXR.Extensions.MonoBehaviour_Ext
  definition: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  name: DestroyChildren(MonoBehaviour)
  nameWithType: MonoBehaviour_Ext.DestroyChildren(MonoBehaviour)
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
    name: DestroyChildren
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
    name: DestroyChildren
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: )
- uid: UnityEngine.MonoBehaviour.OmiLAXR.Extensions.MonoBehaviour_Ext.Log(System.String,System.String)
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  parent: OmiLAXR.Extensions.MonoBehaviour_Ext
  definition: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  name: Log(MonoBehaviour, string, string)
  nameWithType: MonoBehaviour_Ext.Log(MonoBehaviour, string, string)
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour, string, string)
  nameWithType.vb: MonoBehaviour_Ext.Log(MonoBehaviour, String, String)
  fullName.vb: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour, String, String)
  name.vb: Log(MonoBehaviour, String, String)
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
    name: Log
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
    name: Log
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: UnityEngine.Object.OmiLAXR.Extensions.Object_Ext.Destroy
  commentId: M:OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  parent: OmiLAXR.Extensions.Object_Ext
  definition: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  name: Destroy(Object)
  nameWithType: Object_Ext.Destroy(Object)
  fullName: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  spec.csharp:
  - uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
    name: Destroy
    href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  - name: (
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
    name: Destroy
    href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  - name: (
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: UnityEngine
  commentId: N:UnityEngine
  isExternal: true
  name: UnityEngine
  nameWithType: UnityEngine
  fullName: UnityEngine
- uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  isExternal: true
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  name: Destroy(MonoBehaviour, IEnumerable<Object>)
  nameWithType: MonoBehaviour_Ext.Destroy(MonoBehaviour, IEnumerable<Object>)
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, System.Collections.Generic.IEnumerable<UnityEngine.Object>)
  nameWithType.vb: MonoBehaviour_Ext.Destroy(MonoBehaviour, IEnumerable(Of Object))
  fullName.vb: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, System.Collections.Generic.IEnumerable(Of UnityEngine.Object))
  name.vb: Destroy(MonoBehaviour, IEnumerable(Of Object))
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: '>'
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,System.Collections.Generic.IEnumerable{UnityEngine.Object})
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
  - name: )
- uid: OmiLAXR.Extensions.MonoBehaviour_Ext
  commentId: T:OmiLAXR.Extensions.MonoBehaviour_Ext
  parent: OmiLAXR.Extensions
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html
  name: MonoBehaviour_Ext
  nameWithType: MonoBehaviour_Ext
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext
- uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  isExternal: true
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  name: Destroy(MonoBehaviour, Object[])
  nameWithType: MonoBehaviour_Ext.Destroy(MonoBehaviour, Object[])
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, UnityEngine.Object[])
  nameWithType.vb: MonoBehaviour_Ext.Destroy(MonoBehaviour, Object())
  fullName.vb: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour, UnityEngine.Object())
  name.vb: Destroy(MonoBehaviour, Object())
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: '['
  - name: ']'
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
    name: Destroy
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Destroy(UnityEngine.MonoBehaviour,UnityEngine.Object[])
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: (
  - name: )
  - name: )
- uid: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  isExternal: true
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  name: DestroyChildren(MonoBehaviour)
  nameWithType: MonoBehaviour_Ext.DestroyChildren(MonoBehaviour)
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
    name: DestroyChildren
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
    name: DestroyChildren
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.DestroyChildren(UnityEngine.MonoBehaviour)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: )
- uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  commentId: M:OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  isExternal: true
  href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  name: Log(MonoBehaviour, string, string)
  nameWithType: MonoBehaviour_Ext.Log(MonoBehaviour, string, string)
  fullName: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour, string, string)
  nameWithType.vb: MonoBehaviour_Ext.Log(MonoBehaviour, String, String)
  fullName.vb: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour, String, String)
  name.vb: Log(MonoBehaviour, String, String)
  spec.csharp:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
    name: Log
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
    name: Log
    href: OmiLAXR.Extensions.MonoBehaviour_Ext.html#OmiLAXR.Extensions.MonoBehaviour_Ext.Log(UnityEngine.MonoBehaviour,System.String,System.String)
  - name: (
  - uid: UnityEngine.MonoBehaviour
    name: MonoBehaviour
    isExternal: true
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  commentId: M:OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  isExternal: true
  href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  name: Destroy(Object)
  nameWithType: Object_Ext.Destroy(Object)
  fullName: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  spec.csharp:
  - uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
    name: Destroy
    href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  - name: (
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
  spec.vb:
  - uid: OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
    name: Destroy
    href: OmiLAXR.Extensions.Object_Ext.html#OmiLAXR.Extensions.Object_Ext.Destroy(UnityEngine.Object)
  - name: (
  - uid: UnityEngine.Object
    name: Object
    isExternal: true
  - name: )
- uid: OmiLAXR.Extensions.Object_Ext
  commentId: T:OmiLAXR.Extensions.Object_Ext
  parent: OmiLAXR.Extensions
  href: OmiLAXR.Extensions.Object_Ext.html
  name: Object_Ext
  nameWithType: Object_Ext
  fullName: OmiLAXR.Extensions.Object_Ext
- uid: OmiLAXR.Extensions
  commentId: N:OmiLAXR.Extensions
  href: OmiLAXR.html
  name: OmiLAXR.Extensions
  nameWithType: OmiLAXR.Extensions
  fullName: OmiLAXR.Extensions
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Extensions
    name: Extensions
    href: OmiLAXR.Extensions.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Extensions
    name: Extensions
    href: OmiLAXR.Extensions.html
- uid: OmiLAXR.Timeline.MultiLanguage.MultiLanguageEntry[]
  isExternal: true
  href: OmiLAXR.Timeline.MultiLanguage.MultiLanguageEntry.html
  name: MultiLanguageEntry[]
  nameWithType: MultiLanguageEntry[]
  fullName: OmiLAXR.Timeline.MultiLanguage.MultiLanguageEntry[]
  nameWithType.vb: MultiLanguageEntry()
  fullName.vb: OmiLAXR.Timeline.MultiLanguage.MultiLanguageEntry()
  name.vb: MultiLanguageEntry()
  spec.csharp:
  - uid: OmiLAXR.Timeline.MultiLanguage.MultiLanguageEntry
    name: MultiLanguageEntry
    href: OmiLAXR.Timeline.MultiLanguage.MultiLanguageEntry.html
  - name: '['
  - name: ']'
  spec.vb:
  - uid: OmiLAXR.Timeline.MultiLanguage.MultiLanguageEntry
    name: MultiLanguageEntry
    href: OmiLAXR.Timeline.MultiLanguage.MultiLanguageEntry.html
  - name: (
  - name: )
- uid: UnityEngine.UI.Text
  commentId: T:UnityEngine.UI.Text
  parent: UnityEngine.UI
  isExternal: true
  name: Text
  nameWithType: Text
  fullName: UnityEngine.UI.Text
- uid: UnityEngine.UI
  commentId: N:UnityEngine.UI
  isExternal: true
  name: UnityEngine.UI
  nameWithType: UnityEngine.UI
  fullName: UnityEngine.UI
  spec.csharp:
  - uid: UnityEngine
    name: UnityEngine
    isExternal: true
  - name: .
  - uid: UnityEngine.UI
    name: UI
    isExternal: true
  spec.vb:
  - uid: UnityEngine
    name: UnityEngine
    isExternal: true
  - name: .
  - uid: UnityEngine.UI
    name: UI
    isExternal: true
- uid: OmiLAXR.Timeline.TextSetter.SetText*
  commentId: Overload:OmiLAXR.Timeline.TextSetter.SetText
  href: OmiLAXR.Timeline.TextSetter.html#OmiLAXR.Timeline.TextSetter.SetText
  name: SetText
  nameWithType: TextSetter.SetText
  fullName: OmiLAXR.Timeline.TextSetter.SetText
